Access Bridges - Create Or Update

建立新的通道橋或更新現有通道橋的特性。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetworkCloud/accessBridges/{accessBridgeName}?api-version=2026-07-01

URI 參數

名稱 位於 必要 類型 Description
accessBridgeName
path True

AccessBridgeAllowedName

那座通道橋的名字。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求本文

名稱 必要 類型 Description
extendedLocation True

Azure.ResourceManager.CommonTypes.ExtendedLocation

資源的延伸位置。 此特性在建立資源時是必需的。

location True

string

資源所在的地理位置

properties.networkId True

string (arm-id)

包含 IP 子網的第 3 層隔離域內內部網路的資源 ID。

properties.ipv4ConnectedPrefix

string

接取橋接從中分配位址的 IPv4 子網路。 此子網必須是 networkID 指定的內部網路的一部分。

properties.ipv6ConnectedPrefix

string

接取橋接從中分配位址的 IPv6 子網。 此子網必須是 networkID 指定的內部網路的一部分。

properties.securityRules

AccessBridgeSecurityRule[]

由接入橋執行的安全規則清單。

tags

object

資源標籤。

回應

名稱 類型 Description
200 OK

AccessBridge

資源「AccessBridge」更新操作成功

201 Created

AccessBridge

資源「AccessBridge」建立操作成功

標題

Azure-AsyncOperation: string

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 冒用您的使用者帳戶

範例

Create or update access bridge

範例要求

PUT https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/accessBridges/Bastion?api-version=2026-07-01

{
  "extendedLocation": {
    "name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
    "type": "CustomLocation"
  },
  "location": "location",
  "properties": {
    "ipv4ConnectedPrefix": "198.51.100.0/24",
    "ipv6ConnectedPrefix": "2001:db8::/64",
    "networkId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.ManagedNetworkFabric/l3IsolationDomains/l3IsolationDomainName/internalNetworks/internalNetworkName",
    "securityRules": [
      {
        "description": "Allow management plane egress",
        "direction": "Outbound",
        "ipv4Addresses": [
          "10.10.20.10-10.10.20.20"
        ],
        "ipv6Addresses": [
          "2001:db8:abcd:12::1000-2001:db8:abcd:12::1fff"
        ],
        "port": "24562-24570"
      }
    ]
  },
  "tags": {
    "key1": "myvalue1",
    "key2": "myvalue2"
  }
}

範例回覆

{
  "extendedLocation": {
    "name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/accessBridges/accessBridgeName",
  "location": "location",
  "name": "accessBridgeName",
  "properties": {
    "detailedStatus": "Running",
    "detailedStatusMessage": "The access bridge is serving traffic from the VIP and storage appliance endpoints.",
    "endpoints": [
      {
        "fqdn": "bastion.contoso.example.com",
        "ipv4Address": "192.51.100.10",
        "ipv6Address": "2001:db8::10",
        "name": "vip"
      }
    ],
    "ipv4ConnectedPrefix": "198.51.100.0/24",
    "ipv6ConnectedPrefix": "2001:db8::/64",
    "networkId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.ManagedNetworkFabric/l3IsolationDomains/l3IsolationDomainName/internalNetworks/internalNetworkName",
    "protocol": "TCP",
    "provisioningState": "Succeeded",
    "securityRules": [
      {
        "description": "Allow management plane egress",
        "direction": "Outbound",
        "ipv4Addresses": [
          "10.10.20.10-10.10.20.20"
        ],
        "ipv6Addresses": [
          "2001:db8:abcd:12::1000-2001:db8:abcd:12::1fff"
        ],
        "port": "24562-24570"
      }
    ]
  },
  "systemData": {
    "createdAt": "2021-01-22T13:27:03.008Z",
    "createdBy": "identityA",
    "createdByType": "Application",
    "lastModifiedAt": "2021-01-22T13:29:03.001Z",
    "lastModifiedBy": "identityB",
    "lastModifiedByType": "User"
  },
  "tags": {
    "key1": "myvalue1",
    "key2": "myvalue2"
  },
  "type": "Microsoft.NetworkCloud/accessBridges"
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.NetworkCloud/locations/location/operationStatuses/operationId?api-version=2026-07-01
{
  "extendedLocation": {
    "name": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.ExtendedLocation/customLocations/clusterExtendedLocationName",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/resourceGroups/resourceGroupName/providers/Microsoft.NetworkCloud/accessBridges/accessBridgeName",
  "location": "location",
  "name": "accessBridgeName",
  "properties": {
    "detailedStatus": "Running",
    "detailedStatusMessage": "The access bridge is serving traffic from the VIP and storage appliance endpoints.",
    "endpoints": [
      {
        "fqdn": "bastion.contoso.example.com",
        "ipv4Address": "192.51.100.10",
        "ipv6Address": "2001:db8::10",
        "name": "vip"
      }
    ],
    "ipv4ConnectedPrefix": "198.51.100.0/24",
    "ipv6ConnectedPrefix": "2001:db8::/64",
    "networkId": "/subscriptions/123e4567-e89b-12d3-a456-426655440000/providers/Microsoft.ManagedNetworkFabric/l3IsolationDomains/l3IsolationDomainName/internalNetworks/internalNetworkName",
    "protocol": "TCP",
    "provisioningState": "Accepted",
    "securityRules": [
      {
        "description": "Allow management plane egress",
        "direction": "Outbound",
        "ipv4Addresses": [
          "10.10.20.10-10.10.20.20"
        ],
        "ipv6Addresses": [
          "2001:db8:abcd:12::1000-2001:db8:abcd:12::1fff"
        ],
        "port": "24562-24570"
      }
    ]
  },
  "systemData": {
    "createdAt": "2021-01-22T13:27:03.008Z",
    "createdBy": "identityA",
    "createdByType": "Application",
    "lastModifiedAt": "2021-01-22T13:29:03.001Z",
    "lastModifiedBy": "identityB",
    "lastModifiedByType": "User"
  },
  "tags": {
    "key1": "myvalue1",
    "key2": "myvalue2"
  },
  "type": "Microsoft.NetworkCloud/accessBridges"
}

定義

名稱 Description
AccessBridge

AccessBridge 代表一個受管理的接取橋接資源。

AccessBridgeAllowedName

那座通道橋的名字。

AccessBridgeDetailedStatus

通行橋回報的詳細狀況。

AccessBridgeEndpoint

AccessBridgeEndpoint 描述一個宣告的服務端點。

AccessBridgeProvisioningState

接入橋的配置狀態。

AccessBridgeSecurityRule

AccessBridgeSecurityRule 捕捉由橋接器強制執行的個人存取規則。

Azure.ResourceManager.CommonTypes.ExtendedLocation

擴充位置的複雜類型。

createdByType

建立此資源的身分識別類型。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

錯誤回應

ExtendedLocationType

擴充位置的類型。

SecurityRuleDirection

根據規則,允許的網路流量方向。

systemData

與建立和上次修改資源相關的元數據。

TransportProtocol

這是由接取橋端點所宣告的協定。

AccessBridge

AccessBridge 代表一個受管理的接取橋接資源。

名稱 類型 Description
etag

string

“如果在響應本文中提供了 etag,它也可以根據正常的 etag 約定作為標頭提供。 實體標籤用於比較來自相同要求資源的兩個或多個實體。 HTTP/1.1 在 etag(第 14.19 節)、If-Match(第 14.24 節)、If-None-Match(第 14.26 節)和 If-Range(第 14.27 節)標頭欄位中使用實體標籤。

extendedLocation

Azure.ResourceManager.CommonTypes.ExtendedLocation

資源的延伸位置。 此特性在建立資源時是必需的。

id

string (arm-id)

資源的完整資源標識碼。 例如 “/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

location

string

資源所在的地理位置

name

string

資源的名稱

properties.detailedStatus

AccessBridgeDetailedStatus

通行橋回報的詳細狀況。

properties.detailedStatusMessage

string

附帶詳細狀態的描述性訊息。

properties.endpoints

AccessBridgeEndpoint[]

用戶端應使用以連接接取橋接的觀察端點。

properties.ipv4ConnectedPrefix

string

接取橋接從中分配位址的 IPv4 子網路。 此子網必須是 networkID 指定的內部網路的一部分。

properties.ipv6ConnectedPrefix

string

接取橋接從中分配位址的 IPv6 子網。 此子網必須是 networkID 指定的內部網路的一部分。

properties.networkId

string (arm-id)

包含 IP 子網的第 3 層隔離域內內部網路的資源 ID。

properties.protocol

TransportProtocol

這是由接取橋端點所宣告的協定。

properties.provisioningState

AccessBridgeProvisioningState

接入橋的配置狀態。

properties.securityRules

AccessBridgeSecurityRule[]

由接入橋執行的安全規則清單。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

tags

object

資源標籤。

type

string

資源的類型。 例如:「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」

AccessBridgeAllowedName

那座通道橋的名字。

Description
Bastion

裸金屬機械堡壘入口的通道橋。

PrivateVault

用於叢集存取私人保險庫的存取橋。

StorageDashboard

存取橋,用於存取儲存儀表板。

AccessBridgeDetailedStatus

通行橋回報的詳細狀況。

Description
Running

通道橋狀況良好且運作正常。

Degraded

接入橋正經歷性能下降或部分停電。

Failed

該通道橋已無法運作。

AccessBridgeEndpoint

AccessBridgeEndpoint 描述一個宣告的服務端點。

名稱 類型 Description
fqdn

string

用來描述端點憑證名稱的完全限定網域名稱。

ipv4Address

string

與終端機相關的 IPv4 位址。

ipv6Address

string

與端點相關的 IPv6 位址。

name

string

用來識別端點類型的名稱(例如 VIP 或主機)。

AccessBridgeProvisioningState

接入橋的配置狀態。

Description
Accepted

接受狀態。

Canceled

取消狀態。

Failed

失敗狀態。

Provisioning

配置狀態。

Succeeded

繼承狀態。

AccessBridgeSecurityRule

AccessBridgeSecurityRule 捕捉由橋接器強制執行的個人存取規則。

名稱 類型 Description
description

string

使用者提供了關於此規則的說明。

direction

SecurityRuleDirection

根據規則,允許的網路流量方向。

ipv4Addresses

string[]

允許作為安全規則來源或目的地的 IPv4 位址集合。 作為單一地址,使用/32(CIDR符號)。 必須指定一個或兩個 Ipv4 位址與 Ipv6 位址。 範例格式:10.10.10.10-10.10.20 或 10.10.10.10/24。

ipv6Addresses

string[]

允許作為安全規則來源或目的地的 IPv6 位址集合。 作為單一地址,使用 /128(CIDR 符號)。 必須指定一個或兩個 Ipv4 位址與 Ipv6 位址。 範例格式:2001:db8:abcd::1-2001:db8:abcd::ff 或 2001:db8:abcd::1/64。

port

string

來源埠、目的埠或埠範圍。 例如24562或24562-24570。

Azure.ResourceManager.CommonTypes.ExtendedLocation

擴充位置的複雜類型。

名稱 類型 Description
name

string

擴充位置的名稱。

type

ExtendedLocationType

擴充位置的類型。

createdByType

建立此資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

object

其他資訊。

type

string

其他信息類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤的其他資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

error 物件。

ExtendedLocationType

擴充位置的類型。

Description
EdgeZone

Azure Edge 區域位置類型

CustomLocation

Azure 自訂位置類型

SecurityRuleDirection

根據規則,允許的網路流量方向。

Description
Inbound

有流入流量朝向本地端叢集。

Outbound

來自本地叢集的外出流量。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立此資源的身分。

createdByType

createdByType

建立此資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。

TransportProtocol

這是由接取橋端點所宣告的協定。

Description
TCP

TCP 傳輸協定。

UDP

UDP 傳輸協定。